OverallRunListener (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.test.spock.listener
[Groovy] Class OverallRunListener

    java.lang.Object
      org.junit.runner.notification.RunListener
          org.codehaus.groovy.grails.test.spock.listener.OverallRunListener

    @groovy.transform.CompileStatic
    class OverallRunListener
    extends org.junit.runner.notification.RunListener

Authors:
  Luke Daley
  Graeme Rocher

Since:
  2.3

Constructor Summary
`OverallRunListener(GrailsTestEventPublisher eventPublisher, JUnitReportsFactory reportsFactory, SystemOutAndErrSwapper outAndErrSwapper, GrailsSpecTestTypeResult result, GrailsTestRunNotifier grailsNotifier)`

Method Summary
`void` | `testAssumptionFailure(org.junit.runner.notification.Failure failure)`
`void` | `testFailure(org.junit.runner.notification.Failure failure)`
`void` | `testFinished(org.junit.runner.Description description)`
`void` | `testIgnored(org.junit.runner.Description description)`
`void` | `testRunFinished(org.junit.runner.Result result)`
`void` | `testRunStarted(org.junit.runner.Description description)`
`void` | `testStarted(org.junit.runner.Description description)`

Methods inherited from class org.junit.runner.notification.RunListener
org.junit.runner.notification.RunListener#testRunStarted(org.junit.runner.Description), org.junit.runner.notification.RunListener#testRunFinished(org.junit.runner.Result), org.junit.runner.notification.RunListener#testStarted(org.junit.runner.Description), org.junit.runner.notification.RunListener#testFinished(org.junit.runner.Description), org.junit.runner.notification.RunListener#testFailure(org.junit.runner.notification.Failure), org.junit.runner.notification.RunListener#testAssumptionFailure(org.junit.runner.notification.Failure), org.junit.runner.notification.RunListener#testIgnored(org.junit.runner.Description), org.junit.runner.notification.RunListener#wait(long, int), org.junit.runner.notification.RunListener#wait(long), org.junit.runner.notification.RunListener#wait(), org.junit.runner.notification.RunListener#equals(java.lang.Object), org.junit.runner.notification.RunListener#toString(), org.junit.runner.notification.RunListener#hashCode(), org.junit.runner.notification.RunListener#getClass(), org.junit.runner.notification.RunListener#notify(), org.junit.runner.notification.RunListener#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### OverallRunListener

    OverallRunListener(GrailsTestEventPublisher eventPublisher, JUnitReportsFactory reportsFactory, SystemOutAndErrSwapper outAndErrSwapper, GrailsSpecTestTypeResult result, GrailsTestRunNotifier grailsNotifier)

Method Detail

### testAssumptionFailure

    void testAssumptionFailure(org.junit.runner.notification.Failure failure)

### testFailure

    void testFailure(org.junit.runner.notification.Failure failure)

### testFinished

    void testFinished(org.junit.runner.Description description)

### testIgnored

    void testIgnored(org.junit.runner.Description description)

### testRunFinished

    void testRunFinished(org.junit.runner.Result result)

### testRunStarted

    void testRunStarted(org.junit.runner.Description description)

### testStarted

    void testStarted(org.junit.runner.Description description)

Groovy Documentation